<?php

namespace App\Http\Controllers;

use App\Models\Registration;
use Illuminate\Http\Request;

class RegistrationController extends Controller
{
    public function store(Request $request)
    {
        // Validate the request
        $request->validate([
            'company_name' => 'required|string|max:255',
            'first_name' => 'required|string|max:255',
            'middle_name' => 'nullable|string',
            'last_name' => 'required|string|max:2048',
            'contact_number' => 'required|digits:11',
            'email' => 'required|max:2048',
        ]);

        // Create the banner
        Registration::create([
            'company_name' => $request->input('company_name'),
            'first_name' => $request->input('first_name'),
            'middle_name' => $request->input('middle_name'),
            'last_name' => $request->input('last_name'),
            'contact_number' => $request->input('contact_number'),
            'email' => $request->input('email'),
        ]);

        return redirect()->back()->with('success', 'Registration created successfully!');
    }
}
