<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://cdn.tailwindcss.com"></script>
    @vite('resources/css/app.css')
</head>

<body>
    <div class="container max-w-screen-xl p-4 mx-auto">
        <div class=" flex justify-center">
            <img class="w-96" src="{{asset('images/rweb_logo.png')}}" alt="">
        </div>
        <h1 class="text-3xl text-center">
            Registration
        </h1>
        <form action="{{ route('registration.store') }}" method="POST" enctype="multipart/form-data">
            @csrf
            <div class="mb-4">
                <label for="company_name" class="block text-gray-700">Company Name:</label>
                <input value="{{old('company_name')}}" type="text" id="company_name" name="company_name"
                    class="w-full p-2 border border-gray-300 rounded">
                @error('company_name')
                <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div class="mb-4">
                <label for="first_name" class="block text-gray-700">First Name:</label>
                <input value="{{old('first_name')}}" type="text" id="first_name" name="first_name"
                    class="w-full p-2 border border-gray-300 rounded">
                @error('first_name')
                <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div class="mb-4">
                <label for="middle_name" class="block text-gray-700">Middle Name:</label>
                <input type="text" id="middle_name" name="middle_name" value="{{old( 'middle_name')}}"
                    class="w-full p-2 border border-gray-300 rounded">
                @error('middle_name')
                <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div class="mb-4">
                <label for="last_name" class="block text-gray-700">Last Name:</label>
                <input type="text" id="last_name" name="last_name" value="{{old( 'last_name')}}"
                    class="w-full p-2 border border-gray-300 rounded">
                @error('last_name')
                <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div class="mb-4">
                <label for="contact_number" class="block text-gray-700">Contact Number:</label>
                <input type="number" id="contact_number" name="contact_number" value="{{old( 'contact_number')}}"
                    class="w-full p-2 border border-gray-300 rounded">
                @error('contact_number')
                <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div class="mb-4">
                <label for="email" class="block text-gray-700">Email:</label>
                <input type="email" id="email" name="email" value="{{old( 'email')}}"
                    class="w-full p-2 border border-gray-300 rounded">
                @error('email')
                <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>
            <div class="flex justify-center">
                <button type="submit" class="px-12 py-2 text-white bg-black rounded-full">Submit</button>
            </div>
        </form>
    </div>


    @if(session('success'))
    <div id="successModal" class="fixed inset-0 z-50 flex items-center justify-center">
        <div class="relative z-50 w-full max-w-lg p-6 text-center bg-white space-y-8 rounded-lg shadow-lg">
            <div class="flex justify-center">
                <p class="mt-2 text-4xl text-gray-700">Success!</p>

            </div>
            <div>
                <p class="mt-2 text-gray-700">{{ session('success') }}</p>
            </div>
            <div class="flex justify-center mt-4">
                <button onclick="closeModal()" class="bg-black text-white flex items-center rounded-full px-20 py-2 text-nowrap">Close</button>
            </div>
        </div>

        <div class="fixed inset-0 z-0 bg-black opacity-80"></div>
    </div>
    @endif

    <script>
        // Function to close the modal
        function closeModal() {
            document.getElementById('successModal').style.display = 'none';
        }

        // Automatically close the modal after 5 seconds
        setTimeout(closeModal, 5000);
    </script>

</body>

</html>