<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://cdn.tailwindcss.com"></script>
    <?php echo app('Illuminate\Foundation\Vite')('resources/css/app.css'); ?>
</head>

<body>
    <div class="container max-w-screen-xl p-4 mx-auto">
        <div class=" flex justify-center">
            <img class="w-96" src="<?php echo e(asset('images/rweb_logo.png')); ?>" alt="">
        </div>
        <h1 class="text-3xl text-center">
            Registration
        </h1>
        <form action="<?php echo e(route('registration.store')); ?>" method="POST" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <div class="mb-4">
                <label for="company_name" class="block text-gray-700">Company Name:</label>
                <input value="<?php echo e(old('company_name')); ?>" type="text" id="company_name" name="company_name"
                    class="w-full p-2 border border-gray-300 rounded">
                <?php $__errorArgs = ['company_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                <span class="text-red-500"><?php echo e($message); ?></span>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>

            <div class="mb-4">
                <label for="first_name" class="block text-gray-700">First Name:</label>
                <input value="<?php echo e(old('first_name')); ?>" type="text" id="first_name" name="first_name"
                    class="w-full p-2 border border-gray-300 rounded">
                <?php $__errorArgs = ['first_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                <span class="text-red-500"><?php echo e($message); ?></span>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>

            <div class="mb-4">
                <label for="middle_name" class="block text-gray-700">Middle Name:</label>
                <input type="text" id="middle_name" name="middle_name" value="<?php echo e(old( 'middle_name')); ?>"
                    class="w-full p-2 border border-gray-300 rounded">
                <?php $__errorArgs = ['middle_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                <span class="text-red-500"><?php echo e($message); ?></span>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>

            <div class="mb-4">
                <label for="last_name" class="block text-gray-700">Last Name:</label>
                <input type="text" id="last_name" name="last_name" value="<?php echo e(old( 'last_name')); ?>"
                    class="w-full p-2 border border-gray-300 rounded">
                <?php $__errorArgs = ['last_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                <span class="text-red-500"><?php echo e($message); ?></span>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>

            <div class="mb-4">
                <label for="contact_number" class="block text-gray-700">Contact Number:</label>
                <input type="number" id="contact_number" name="contact_number" value="<?php echo e(old( 'contact_number')); ?>"
                    class="w-full p-2 border border-gray-300 rounded">
                <?php $__errorArgs = ['contact_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                <span class="text-red-500"><?php echo e($message); ?></span>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>

            <div class="mb-4">
                <label for="email" class="block text-gray-700">Email:</label>
                <input type="email" id="email" name="email" value="<?php echo e(old( 'email')); ?>"
                    class="w-full p-2 border border-gray-300 rounded">
                <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                <span class="text-red-500"><?php echo e($message); ?></span>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            <div class="flex justify-center">
                <button type="submit" class="px-12 py-2 text-white bg-black rounded-full">Submit</button>
            </div>
        </form>
    </div>


    <?php if(session('success')): ?>
    <div id="successModal" class="fixed inset-0 z-50 flex items-center justify-center">
        <div class="relative z-50 w-full max-w-lg p-6 text-center bg-white space-y-8 rounded-lg shadow-lg">
            <div class="flex justify-center">
                <p class="mt-2 text-4xl text-gray-700">Success!</p>

            </div>
            <div>
                <p class="mt-2 text-gray-700"><?php echo e(session('success')); ?></p>
            </div>
            <div class="flex justify-center mt-4">
                <button onclick="closeModal()" class="bg-black text-white flex items-center rounded-full px-20 py-2 text-nowrap">Close</button>
            </div>
        </div>

        <div class="fixed inset-0 z-0 bg-black opacity-80"></div>
    </div>
    <?php endif; ?>

    <script>
        // Function to close the modal
        function closeModal() {
            document.getElementById('successModal').style.display = 'none';
        }

        // Automatically close the modal after 5 seconds
        setTimeout(closeModal, 5000);
    </script>

</body>

</html><?php /**PATH C:\Users\R Web Solutions\Desktop\New folder\registration\resources\views/welcome.blade.php ENDPATH**/ ?>